Bug 621479 - [dup profiles] Missing menu item "Duplicate Systems" from System->Events page.
Summary: [dup profiles] Missing menu item "Duplicate Systems" from System->Events page.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other   
(Show other bugs)
Version: 540
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Partha Aji
QA Contact: Garik Khachikyan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: sat540-blockers
TreeView+ depends on / blocked
 
Reported: 2010-08-05 08:36 UTC by Garik Khachikyan
Modified: 2015-01-04 21:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 14:58:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Garik Khachikyan 2010-08-05 08:36:39 UTC
Description of problem:
Reference to the page "network/systems/details/history/pending.pxt?sid=<sid>" drops "Systems->Duplicate Systems" left-hand menu

Version-Release number of selected component (if applicable):
spacewalk-oracle-1.1.6-1.el5
spacewalk-backend-1.1.42-1.el5
spacewalk-schema-1.1.19-1.el5

How reproducible:
always

Steps to Reproduce:
1. select any system and refer to its "Events" tab.
2. On the left-hand side the menu does not contain "Systems->Duplicate Systems" item.
3.
  
Actual results:
The menu item(s) after "System->Proxy" are absent from menu list.

Expected results:
As in other pages (for example: System->Details) the menu item(s) after "Proxy" should be displayed.

Additional info:

Comment 2 Garik Khachikyan 2010-08-05 15:02:12 UTC
# COMMENT

Seems it to be an issue of all *.pxt perl pages...

I found the same for:
- /network/systems/details/notes/notes_list.pxt
- /network/systems/details/hardware.pxt
- /network/systems/details/history/snapshots/index.pxt
- /network/systems/details/history/snapshots/system_tags.pxt

(seems that's it - so far I could go through the "Systems" sub-menues/links)

Comment 5 Colin Coe 2010-08-26 12:51:08 UTC
commit 80b30f51cca67b74172b9fac93de53204293b29d
Author: Colin Coe <coec@war.coesta.com>
Date:   Thu Aug 26 20:42:08 2010 +0800

    621479 - Fix missing duplicates menu

Should be OK now

Comment 6 Clifford Perry 2010-08-30 15:52:35 UTC
Colin - thanks. 

This bug was moved to track Sat 5.4. I am going to re-assign this to Satellite developer to move to ON_QA for the sat 5.4 release trackers. 

Cliff

Comment 7 Partha Aji 2010-08-30 20:19:23 UTC
Looks ok...

Comment 8 Garik Khachikyan 2010-09-06 14:41:42 UTC
# VERIFIED

the current iso provided (Satellite-5.4.0-RHEL5-re20100903.1-x86_64.iso) fixed the issue on all the pages reported above.

Comment 9 Michael Mráka 2010-10-20 14:51:38 UTC
Verified in stage.

Pxt pages have "Duplicate Systems" item in menu.

Comment 10 Clifford Perry 2010-10-28 14:53:23 UTC
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford


Note You need to log in before you can comment on or make changes to this bug.